import request from "@/utils/request";

export default {
  findStatePersonCount() {
    return request({
      method: "get",
      url: `/state`
    });
  },
  findTownshipInQuarantine() {
    return request({
      method: "get",
      url: `/township/inQuarantine`
    });
  },
  findTownshipSate() {
    return request({
      method: "get",
      url: `/township`
    });
  },
  dayQuarantine(day) {
    return request({
      method: "get",
      url: `/day/quarantine/${day}`
    });
  },
  searchPage(page, size, data) {
    return request({
      method: "post",
      url: `/search/${page}/${size}`,
      data: data
    });
  },
  findCommunityInQuarantine(pid) {
    return request({
      method: "get",
      url: `/community/inQuarantine/${pid}`
    });
  },
  findCommunity(pid) {
    return request({
      method: "get",
      url: `/community/${pid}`
    });
  }
};
