"use strict";
const path = require("path");

const name = "静海区外来人员实时动态";

function resolve(dir) {
  return path.join(__dirname, dir);
}

module.exports = {
  publicPath: "./",
  lintOnSave: false,
  devServer: {
    port: 9538
  },
  pages: {
    index: {
      entry: "src/main.js",
      template: "public/index.html",
      filename: "index.html",
      title: name
    }
  }
  // chainWebpack(config) {
  //   // set svg-sprite-loader
  //   config.module
  //     .rule("svg")
  //     .exclude.add(resolve("src/icons"))
  //     .end();

  //   config.module
  //     .rule("icons")
  //     .test(/\.svg$/)
  //     .include.add(resolve("src/icons"))
  //     .end()
  //     .use("svg-sprite-loader")
  //     .loader("svg-sprite-loader")
  //     .options({
  //       symbolId: "icon-[name]"
  //     })
  //     .end();
  // }
};
